module.exports = {
  parserOptions: {
    parser: 'babel-eslint'
  },
  extends: [
    'eslint:recommended',
    'plugin:vue/vue3-recommended',
    'plugin:vue-a11y/base',
    'standard',
    // 'plugin:prettier/recommended'
  ],
  plugins: [
    'vue',
    'vue-a11y'
  ],
  rules: {
    'no-unused-vars': ["warn"],
  },
  ignorePatterns: [
    "vendor/**",
    "web/core/**"
  ],
  globals: {
    "Drupal": true,
    "drupalSettings": true,
    "drupalTranslations": true,
    "domready": true,
    "jQuery": true,
    "_": true,
    "matchMedia": true,
    "Cookies": true,
    "Backbone": true,
    "Modernizr": true,
    "Popper": true,
    "Sortable": true,
    "CKEDITOR": true
  }
}
